Module | Sequel::SQL::NumericMethods
In: | lib/sequel/sql.rb

This module includes the standard mathematical methods (+, -, *, and /) that are defined on objects that can be used in a numeric context in SQL (`Symbol`, `LiteralString`, and +SQL::GenericExpression+).

      :a + :b # "a" + "b"
      :a - :b # "a" - "b"
      :a * :b # "a" * "b"
      :a / :b # "a" / "b"

One exception to this is if + is called with a `String` or `StringExpression`, in which case the || operator is used instead of the + operator:

      :a + 'b' # "a" || 'b'

### Methods

+

### Public Instance methods

+(ce)

Use || as the operator when called with StringExpression and String instances, and the + operator for LiteralStrings and all other types.

[Source]

         # File lib/sequel/sql.rb, line 701
    701:       def +(ce)
    702:         case ce
    703:         when LiteralString
    704:           NumericExpression.new(:+, self, ce)
    705:         when StringExpression, String
    706:           StringExpression.new('||''||', self, ce)
    707:         else
    708:           NumericExpression.new(:+, self, ce)
    709:         end
    710:       end

[Validate]